import { Component, OnInit } from '@angular/core';
import { MyService } from '../my.service';

@Component({
  selector: 'ydlife-integration-rule',
  templateUrl: './integration-rule.component.html',
  styleUrls: ['./integration-rule.component.scss']
})
export class IntegrationRuleComponent implements OnInit {
  integralRuleInfos:Array<any>;
  constructor(private myService:MyService) { }

  ngOnInit() {
    this.queryIntegralRuleList()
  }
  queryIntegralRuleList(){
    this.myService.queryIntegralRuleList().subscribe(res=>{
      if(res['success']){
        this.integralRuleInfos = res['data']['integralRuleInfos']
      }
    })
  }
}
